Bug 1890530 - cluster-policy-controller doesn't gracefully terminate
Summary: cluster-policy-controller doesn't gracefully terminate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Maciej Szulik
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1890532
TreeView+ depends on / blocked
 
Reported: 2020-10-22 13:25 UTC by Maciej Szulik
Modified: 2021-02-24 15:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1890532 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:27:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-policy-controller pull 42 0 None closed Bug 1890530: release lock on graceful shutdown 2021-01-07 17:13:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:28:13 UTC

Description Maciej Szulik 2020-10-22 13:25:30 UTC
c-p-c doesn't gracefully terminate which increases time needed between lock acquirement.

Comment 2 RamaKasturi 2020-10-23 16:13:26 UTC
Verified in the payload below and i see that the PR is present.

[knarra@knarra openshift-client-linux-4.7.0-0.nightly-2020-10-23-065848]$ ./oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.7.0-0.nightly-2020-10-22-175439 | grep cluster-policy-controller
  cluster-policy-controller                      https://github.com/openshift/cluster-policy-controller                      a9cad6a4c699637f962d9b5481e4794505230119

[knarra@knarra cluster-policy-controller]$ git log --date local --pretty="%h %an %cd - %s" a9cad6a4c699637f962d9b5481e4794505230119 | grep "#42"
a9cad6a4 OpenShift Merge Robot Thu Oct 22 20:26:43 2020 - Merge pull request #42 from deads2k/release-lock

Based on the above moving bug to verified state.

Comment 5 errata-xmlrpc 2021-02-24 15:27:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.